import request from '../request.js';

const Api = {
    page: '/api/sys/oss/page',
    save: '/api/sys/oss/upload',
    getBannerPath: '/api/sys/oss/queryBannerPath'
}

/** 文件列表 */
export const page = data => {
    return request.request({
        url: Api.page,
        params: data,
        method: 'get'
    })
}

/** 文件上传 */
export const save = data => {
  return request.request({
      url: Api.save,
      data: data,
      method: 'POST'
  })

}

export const getBannerPath = data => {
    return request.request({
        url: Api.getBannerPath,
        params: data,
        method: 'get'
    })
}

export const upload = data => {
    return request.request({
        url: Api.save,
        data: data,
        method: 'POST'
    })
}

